<?php
	include ('include/config.php');
	include ('include/admin_check.php');
	include ('include/functions.php');
	
	$oldal = $_GET["old"] ;
	if ($oldal < 1) {
		$oldal = 1 ;
	}
	
	$kezdo = $oldal * $talalat_oldalankent - $talalat_oldalankent ;		//Beállítjuk az sql limit alsó küszöbét


	$query = "select count(*) as szam from hirlevel_sablonok" ;
	
	$result = lekerdez($query) ;
	$talalatszam = mysqli_result($result, 0, "szam") ;
	mysqli_free_result($result) ;

	$query = "select id, sablon_nev from hirlevel_sablonok order by sablon_nev limit $kezdo, $talalat_oldalankent" ;
	$result = lekerdez($query) ;
	$sablonok = array() ;
	if (mysqli_num_rows($result) > 0) {
		while ($sor = mysqli_fetch_array($result)) {
			$sablonok[] = $sor ;
		}
		mysqli_free_result($result) ;
	}
	
	$oldalszam = ceil($talalatszam / $talalat_oldalankent) ;
 	
 	$elozo = "" ;
	if ($oldal > 1) 
	  $elozo = $oldal-1 ;

	$kov = "" ;
	if ($oldal < $oldalszam) 
	  $kov = $oldal+1 ;
	
?>
<!DOCTYPE html>

<html lang="hu">

  <head>

    <meta charset="utf-8">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <meta name="description" content="">

    <meta name="author" content="">



    <title><?php echo $admin_title;?> Admin: Hírlevél sablonok listája</title>



    <!-- Bootstrap core CSS -->

    <link href="css/bootstrap.css" rel="stylesheet">



    <!-- Add custom CSS here -->

    <link href="css/sb-admin.css" rel="stylesheet">

    <link rel="stylesheet" href="font-awesome/css/font-awesome.min.css">

    <!-- Page Specific CSS -->

    <link rel="stylesheet" href="http://cdn.oesmith.co.uk/morris-0.4.3.min.css">



  </head>



  <body>



    <div id="wrapper">

	

	<?php include "inc_sidebar_top.php"?>      



      <div id="page-wrapper">



        <div class="row">

          <div class="col-lg-12">

            <h1>Hírlevél sablonok listája</h1>

<?php
	if (count($_SESSION["hiba"]) > 0) {
		echo '<div class="col-lg-12">' ;
		foreach ($_SESSION["hiba"] as $hibasor) {
			$class = "alert-danger" ;
			if ($hibasor["tipus"] == "success") {
				$class = "alert-success" ;
			}
			echo '<div class="alert alert-dismissable ' . $class . '">'.$hibasor["szoveg"].'</div>' ;
		}		
		echo '</div>' ;
		unset($_SESSION["hiba"]) ;
	}
?>	
          </div>

        </div><!-- /.row -->





        <div class="row">   

          <div class="col-lg-12">

            <div class="table-responsive">

              <table class="table table-bordered table-hover table-striped tablesorter">

                <thead>

                  <tr>

                    <th>Sablon név</th>

                    <th></th>

                  </tr>

                </thead>

                <tbody>
<?php
	for ($i=0;$i<count($sablonok);$i++) {
?>
                  <tr>

                    <td><?php echo $sablonok[$i]["sablon_nev"];?></td>
                    
                    <td><button type="button" class="btn btn-default" onclick="javascript:template_edit('<?php echo $sablonok[$i]["id"];?>')">Módosít</button></td>

                  </tr>
<?php
}
?>

                </tbody>

              </table>    
<button type="button" class="btn btn-primary" onClick="javascript:document.location.href='newsletter-template-new.php'">Új sablon felvétele</button>               
              
              <div class="text-center">
              <ul class="pagination">
<?php 
	$elozo_class = ' class="disabled"' ;
	if ($elozo != "") {
		$elozo_class="" ;	
	}
?>
     <li<?php echo $elozo_class;?>><a href="newsletter-templates-list.php?old=<?php echo $elozo;?>">&laquo;</a></li>
	<?php 
		for ($i=1;$i<=$oldalszam;$i++) {
			$oldal_class = "" ;
			if ($i == $oldal) {
				$oldal_class = ' class="active"' ;
			}
			echo '<li' . $oldal_class . '><a href="newsletter-templates-list.php?old='.$i.'">'.$i.'</a></li>';
		}
	?>

<?php 
	$kov_class = ' class="disabled"' ;
	if ($kov != "") {
		$kov_class="" ;	
	}
?>
    <li<?php echo $kov_class;?>><a href="newsletter-templates-list.php?old=<?php echo $elozo;?>">&raquo;</a></li> 
              </ul>
              </div>               

            </div>

            

          </div>

        </div><!-- /.row -->





      </div><!-- /#page-wrapper -->



    </div><!-- /#wrapper -->



    <!-- JavaScript -->

    <script src="js/jquery-1.10.2.js"></script>
    <script src="js/bootstrap.js"></script>
    
	<script>
		$(document).ready(function() {
			$("#nav-newsletters").addClass("open") ;
		}) ;

		
		function template_edit(id) {
			document.location.href = "newsletter-template-edit.php?id=" + id ;	
		}		
    </script>


    <!-- Page Specific Plugins -->

    <script src="http://cdnjs.cloudflare.com/ajax/libs/raphael/2.1.0/raphael-min.js"></script>

    <script src="http://cdn.oesmith.co.uk/morris-0.4.3.min.js"></script>

    <!--<script src="js/morris/chart-data-morris.js"></script>-->

    <script src="js/tablesorter/jquery.tablesorter.js"></script>

    <script src="js/tablesorter/tables.js"></script>



  </body>

</html>

